/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package cache

import "testing"

func BenchmarkWithLevel(b *testing.B) {
	b.RunParallel(func(pb *testing.PB) {
		for pb.Next() {
			op := Options().ToLevel(3).ToLevel(2).ToLevel(1)
			if op.Level != 1 {
				b.Fatalf("BenchmarkWithLevel failed")
			}
		}
	})
	b.ReportAllocs()
	// 2000000000	         0.28 ns/op	       0 B/op	       0 allocs/op
}
